Pterodactyldocs
Client server schedules

Update schedule

Updates the specified schedule

POST/api/client/servers/{server}/schedules/{schedule}

Authorization

ClientToken
AuthorizationBearer <token>

Client API key (generated at /account/api)

In: header

Path Parameters

server*string

Server identifier (short 8-character ID)

schedule*integer

Schedule ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/client/servers/1a7ce997/schedules/1" \  -H "Content-Type: application/json" \  -d '{    "name": "Hourly Hello",    "minute": "0",    "hour": "*",    "day_of_month": "*",    "day_of_week": "*"  }'
{  "object": "server_schedule",  "attributes": {    "id": 2,    "name": "Hourly Hello",    "cron": {      "day_of_week": "*",      "day_of_month": "*",      "hour": "*",      "minute": "0"    },    "is_active": false,    "is_processing": false,    "last_run_at": null,    "next_run_at": "2020-06-13T16:00:00+01:00",    "created_at": "2020-06-13T15:05:25+01:00",    "updated_at": "2020-06-13T15:14:07+01:00",    "relationships": {      "tasks": {        "object": "list",        "data": []      }    }  }}